Subject: bug#30399: 27.0.50; tooltips are broken

From: Drew Adams <[email-masked]>
Date: Sat, 10 Feb 2018 08:39:02 -0800 (PST)

>>> This is due to a rather silly omission which should have already
>>> defeated a feature in Emacs 26 when calling 'x-show-tip' (you've
>>> been warned - Lisp code should call 'tooltip-show').
>>
>> That warning sounds very bad to me.  It's vague, however,
>> so forgive me if I'm overreacting.
> 
> It's up to you to ignore warnings.

I'm objecting to the possible change in support forewarned
by your warning, not the fact of the warning's existence.

Can you clarify the warning, please?

If there is a reason to replace `x-show-tip', can you not
replace it with something that is just as general?  Why
would we take away something that lets you specify the
appearance and behavior, replacing it by something that
just hard-codes properties etc.?

I hope I'm just missing something (i.e., misunderstanding).

>  > (x-show-tip (propertize
>  >                cmd-desc
>  >                'face
>  >                `(:foreground "red"
>  >                  :height ,showkey-tooltip-height))
>  >              nil
>  >              nil
>  >              showkey-tooltip-timeout)
> 
> Make sure to use (selected-frame) as second argument for
> Emacs < 27.  nil is broken but you might not notice it.

Thank you.  I didn't know that.  And you're right that
I haven't noticed it, so far.

Can you please say what the brokenness is?  Is there
a bug # for that, so we can learn about the brokenness
that we might not notice?  Thx.